# dagger drone test

Simply run below command to test your pipeline, can also be used through a
trusted repository in Droneci. But as we are using docker and dagger, this can
be done locally just as well

```bash
export dagger-tag=$(openssl rand -hex 12)
docker build -t dagger-test-builder:${dagger-tag} .
docker run -v /var/run/docker.sock:/var/run/docker.sock dagger-test-builder:${dagger-tag} ./dagger 'https://github.com/kpenfound/greetings-api.git'
```

![recording of above command](assets/demo.gif)
